#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

constexpr int kMaxX = 1'000'000'000;

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    int n = opt<int>("n");
    int g = opt<int>("g");

    println(n, g);
    for (int i = 0; i < n; i++) {
        int x = rnd.next(-kMaxX, kMaxX);
        int y = rnd.next(-kMaxX, kMaxX);
        println(x, y);
    }

    return 0;
}